********************************************************************************
* PROJECT: Accountability and Inclusion in Customary Institutions
* TITLE: QJPS Article
/*******************************************************************************

*** Outline:
		Part 0: Set initial configurations and globals	
		Part 1: Create tables and figures for main paper	   
		Part 2: Create tables and figures for appendix	   

*** WRITTEN BY: Kate Baldwin

*** LAST TIME MODIFIED: May 19, 2021

********************************************************************************
* 					PART 0: Set initial configurations and globals
*******************************************************************************/

*** Install required packages
	local install_packages 	0

	if `install_packages' {
		ssc install estout, replace
		ssc install outreg2, replace
		ssc install lassopack, replace
		ssc install ietoolkit, replace
	}

	ieboilstart, version(14.0)
	`r(version)'

*** Setting up project folder
	global project "C:/Users/kab235/Dropbox/Zimbabwe/Follow-up Paper/Community Leader Paper/Fall 2015/QJPS/Data Replication Final/QJPS_tables"

	
**** Setting up folders
	global data			"${project}/data"
	global dofiles		"${project}/dofiles"
	global programs 	"${dofiles}/programs"
	global outputs		"${project}/outputs"
	global tables		"${outputs}/tables"
	global figures		"${outputs}/figures"
	
*** Tables globals
	global stars1	"label nolines nogaps fragment nomtitle nonumbers noobs nodep star(* 0.10 ** 0.05 *** 0.01) collabels(none) booktabs b(3) se(3)"
	global stars2	"label nolines nogaps fragment nomtitle nonumbers nodep star(* 0.10 ** 0.05 *** 0.01) collabels(none) booktabs r2 b(3) se(3)"	
	global stars3 	"label nolines nogaps fragment nomtitle nonumbers nodep nostar collabels(none) booktabs nor2 b(3) se(3)"

	global main_tables        1
	global appendix_tables    1
	
*** Programs
	run "${programs}/tvsc.do"
	run "${programs}/tvsc_cc.do"
	run "${programs}/evccl.do"
	run "${programs}/evccl_diff.do"
	run "${programs}/evccl_nob.do"
	run "${programs}/evccl_diff_nob.do"
	run "${programs}/rounding.do"
	
********************************************************************************
*	Part 1:  
********************************************************************************

*** Creating tables and figures for main paper
	*** Execute dofile
	if (${main_tables} == 1) {
	do "${dofiles}/QJPS_Figures_Table_Replication_Code.do"
	}

*******************************************************************************
***	Part 2:  
********************************************************************************

*** Creating tables for appendix
	*** Execute dofile
	if (${appendix_tables} == 1) {
	do "${dofiles}/QJPS_Appendix_Tables_Replication_Code.do"
	}
