capture program drop evccl
program evccl, eclass

	syntax varlist [aw pw fw] [if] [in], by(varname) [clus_id(varname numeric)]
	
	marksample 	touse
	markout 	`touse' `by'

	tempname mu_0 se_0 mu_1 se_1 mu_2 se_2 mu_3 se_3 N_S
	foreach var of local varlist {
		areg `var' `by' cl `if', abs(block) cluster(`clus_id')
		mat `N_S' = nullmat(`N_S'), e(N)
		mat A = r(table)
		mat `mu_1' = nullmat(`mu_1'), A[1,1]
		mat `mu_2' = nullmat(`mu_2'), A[1,2]
		mat `se_1' = nullmat(`se_1'), A[2,1]
		mat `se_2' = nullmat(`se_2'), A[2,2]
		mat `mu_3' = nullmat(`mu_3'), A[1,1] + A[1,2]

		lincom _b[VH_treat] + _b[cl]
		mat `se_3' = nullmat(`se_3'), r(se)

		sum `var' if `by' == 0
		if `r(mean)' < 0 & `r(mean)' > -0.0005 {
			local temp = 0.000
			mat `mu_0' = nullmat(`mu_0'), `temp'
			mat `se_0' = nullmat(`se_0'), r(sd)
		} 
		else {
            mat `mu_0' = nullmat(`mu_0'), r(mean)
            mat `se_0' = nullmat(`se_0'), r(sd)
        }
	} 
	
	foreach mat in mu_0 mu_1 mu_2 mu_3 se_0 se_1 se_2 se_3 N_S {
		mat colnames ``mat'' = `varlist'
	}
	
	local cmd "evccl"
	foreach mat in mu_0 mu_1 mu_2 mu_3 se_0 se_1 se_2 se_3 N_S {
		eret mat `mat' = ``mat''
	}	

end 
